Uploaded image for project: 'CXF Distributed OSGi'
  1. CXF Distributed OSGi
  2. DOSGI-279

Please upgrade RSA, CXF and other dependencies

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.3.0
    • Fix Version/s: 2.4.0
    • Component/s: common
    • Labels:
      None
    • Estimated Complexity:
      Unknown

      Description

      The CXF version in the current release causes problems due do an issue with a version range specifier in its features xml (fixed in more recent versions of CXF). Latest version is also JDK-11 ready. Also RSA had some issues fixed and can be upgraded, same for ZooKeeper. Of course 'mvn versions:display-dependency-updates' can show you other dependencies that can be upgraded as well as necessary

      I suppose this upgrade check can be done before every release, but it doesn't always happen, and sometimes there isn't a release for a long time so an issue like this can help encourage one...

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                amichai Amichai Rothman
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 20m
                  20m